Subject: Re: [bug#57055] [PATCH 2/2] gnu: Add guile-srfi-146.

From: pukkamustard <[email-masked]>
Date: Tue, 09 Aug 2022 09:24:06 +0000

Maxime Devos <[email-masked]> writes:

> I don't know about guile-build-system, but for some Guile packages
> that use gnu-build-system, the package itself has to be added to
> native-inputs when cross-compiling (this-package may be useful). I
> think it has something to do with macros and the module system.

That seems to do the trick. Adding the Guile libraries to the
native-inputs makes cross-compilation work.

I will send in a V2 of patches that fixes this.

Thanks,
pukkamustard